Get the news of the open projects

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/news

Get the last news of the open projects that you can access, the newest first. A news is made when a comment is posted on a task. Give project_id to get the news of one project. If you cannot access this project, the route gives the news of all your open projects. Clients cannot use this route.

Query parameters

  • project_id string(uuid)

    Get only the news of this open project

  • before string(date)

    Get the news before this date. Date in the ISO 8601 format, for example 2026-10-28T10:00:00

  • after string(date)

    Get the news after this date. Date in the ISO 8601 format, for example 2026-10-28T10:00:00

  • page integer

    Page to get

    Default value is 1.

  • limit integer

    Number of news in a page

    Default value is 50.

  • person_id string(uuid)

    Get only the news of this author

  • task_type_id string(uuid)

    Get only the news of this task type

  • task_status_id string(uuid)

    Get only the news of this task status

  • episode_id string(uuid)

    Get only the news of this episode

  • only_preview boolean

    Get only the news with a preview

    Default value is false.

Responses

  • 200 application/json

    A page of news, with the statistics of the news

    Hide response attributes Show response attributes object
    • data array[object]
    • stats object

      Number of news for each task status

    • total integer
    • nb_pages integer
    • limit integer
    • offset integer
    • page integer
  • 400

    A date is not valid

  • 403

    You are a client

GET /data/projects/news
curl -X GET "http://api.example.com/data/projects/news?project_id=a24a6ea4-ce75-4665-a070-57453082c25&before=2022-07-12&after=2022-07-12&page=1&limit=50&person_id=a24a6ea4-ce75-4665-a070-57453082c25&task_type_id=a24a6ea4-ce75-4665-a070-57453082c25&task_status_id=a24a6ea4-ce75-4665-a070-57453082c25&episode_id=a24a6ea4-ce75-4665-a070-57453082c25&only_preview=false" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/news"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "before": "2022-07-12",
    "after": "2022-07-12",
    "page": 1,
    "limit": 50,
    "person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_status_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "episode_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "only_preview": false
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "data": [
    {}
  ],
  "stats": {},
  "total": 42,
  "nb_pages": 42,
  "limit": 42,
  "offset": 42,
  "page": 42
}